#
# Conditional build:
%bcond_with	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	C library for encoding, decoding and manipulating JSON data
Summary(pl.UTF-8):	Biblioteka C do kodowania, dekodowania i obróbki danych JSON
Name:		jansson
Version:	2.13.1
Release:	1%{?tld}
License:	MIT
Group:		Libraries
Source0:	http://digip.org/jansson/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	e343e5b2e8fac568a00a8ca36dc01ebe
URL:		http://digip.org/jansson/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.752
%{?with_apidocs:BuildRequires:	sphinx-pdg}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jansson is a C library for encoding, decoding and manipulating JSON
data. It features:
- Simple and intuitive API and data model
- Comprehensive documentation
- No dependencies on other libraries
- Full Unicode support (UTF-8)
- Extensive test suite

%description -l pl.UTF-8
Jansson to biblioteka C do kodowania, dekodowania oraz obróbki danych
JSON. Cechują ją:
- proste i intuicyjne API oraz model danych
- wyczerpująca dokumentacja
- brak zależności od innych bibliotek
- pełna obsługa Unicode (UTF-8)
- obszerny zestaw testów

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%package apidocs
Summary:	%{name} API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki %{name}
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for %{name} library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki %{name}.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%if %{with apidocs}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libjansson.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_libdir}/libjansson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjansson.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjansson.so
%{_includedir}/jansson*.h
%{_pkgconfigdir}/jansson.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libjansson.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html
%endif
%changelog
* Sat Apr 02 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/jansson.git;a=log;h=master

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> f8936d9
- unconditional noarch subpackages

* Sun Dec 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 391c543
- updated to 2.13.1

* Sat May 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 47e689a
- updated to 2.13

* Tue Dec 11 2018 Jan Palus <atler@pld-linux.org> 589b322
- up to 2.12

* Thu Sep 06 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 9e72a0e
- 0017-Fix-error-handling-in-json_pack.patch added

* Fri Apr 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 3b29ab6
- updated to 2.11

* Sun Mar 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 8ab7fe9
- updated to 2.10

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 3c9a016
- noarch apidocs

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> 2d9ec84
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8df0465
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a543d1
- updated to 2.7

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 52e299a
- updated to 2.6 (fixes CVE-2013-6401)

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 1e961dc
- pl, deuglify file names

* Tue Jan 07 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 2b1113f
- Source0-md5 added

* Tue Jan 07 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 388247c
- new package

